<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="cy__ble__stack__gap__peripheral_8h" kind="file" language="C++">
    <compoundname>cy_ble_stack_gap_peripheral.h</compoundname>
    <includes local="yes" refid="cy__ble__stack__gap_8h">cy_ble_stack_gap.h</includes>
    <includedby local="yes" refid="cy__ble__gap_8h">cy_ble_gap.h</includedby>
    <includedby local="yes" refid="cy__ble_8h">cy_ble.h</includedby>
    <innerclass prot="public" refid="structcy__stc__ble__gapp__disc__param__t">cy_stc_ble_gapp_disc_param_t</innerclass>
    <innerclass prot="public" refid="structcy__stc__ble__gapp__disc__data__t">cy_stc_ble_gapp_disc_data_t</innerclass>
    <innerclass prot="public" refid="structcy__stc__ble__gapp__scan__rsp__data__t">cy_stc_ble_gapp_scan_rsp_data_t</innerclass>
    <innerclass prot="public" refid="structcy__stc__ble__gapp__disc__mode__info__t">cy_stc_ble_gapp_disc_mode_info_t</innerclass>
      <sectiondef kind="define">
      <memberdef id="cy__ble__stack__gap__peripheral_8h_1a3d667d5942338eba27e1b577067b39b5" kind="define" prot="public" static="no">
        <name>CY_BLE_GAPP_NONE_DISC_BROADCAST_MODE</name>
        <initializer>0x00u</initializer>
        <briefdescription>
<para>Broadcaster and discoverable mode. </para>        </briefdescription>
        <detaileddescription>
<para>Non discoverable, broadcast mode </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_gap_peripheral.h" bodystart="38" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_gap_peripheral.h" line="38" />
      </memberdef>
      <memberdef id="cy__ble__stack__gap__peripheral_8h_1a8b144ef308119f847a9927115efe95ea" kind="define" prot="public" static="no">
        <name>CY_BLE_GAPP_LTD_DISC_MODE</name>
        <initializer>0x01u</initializer>
        <briefdescription>
<para>Limited discoverable mode. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_gap_peripheral.h" bodystart="39" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_gap_peripheral.h" line="39" />
      </memberdef>
      <memberdef id="cy__ble__stack__gap__peripheral_8h_1af9f35973ded496b7a494216253338afb" kind="define" prot="public" static="no">
        <name>CY_BLE_GAPP_GEN_DISC_MODE</name>
        <initializer>0x02u</initializer>
        <briefdescription>
<para>General discoverable mode. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_gap_peripheral.h" bodystart="40" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_gap_peripheral.h" line="40" />
      </memberdef>
      <memberdef id="cy__ble__stack__gap__peripheral_8h_1a9239ee43abc8b4ffabf3c6cf70df3f8f" kind="define" prot="public" static="no">
        <name>CY_BLE_GAPP_LTD_DISC_MODE_TIME_MAX</name>
        <initializer>180u</initializer>
        <briefdescription>
<para>Limited Discoverable mode timeout max. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_gap_peripheral.h" bodystart="43" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_gap_peripheral.h" line="43" />
      </memberdef>
      <memberdef id="cy__ble__stack__gap__peripheral_8h_1a8b9e0e0ad0deceaf7d4a89678b215bfb" kind="define" prot="public" static="no">
        <name>CY_BLE_GAPP_SCAN_ANY_CONN_ANY</name>
        <initializer>0x00u</initializer>
        <briefdescription>
<para>Advertising filter policy. </para>        </briefdescription>
        <detaileddescription>
<para>scan and connect any device </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_gap_peripheral.h" bodystart="46" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_gap_peripheral.h" line="46" />
      </memberdef>
      <memberdef id="cy__ble__stack__gap__peripheral_8h_1acf795db28e50e5924c2c8cb878c3eff0" kind="define" prot="public" static="no">
        <name>CY_BLE_GAPP_SCAN_WHITELIST_CONN_ANY</name>
        <initializer>0x01u</initializer>
        <briefdescription>
<para>scan only white list and connect any device </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_gap_peripheral.h" bodystart="47" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_gap_peripheral.h" line="47" />
      </memberdef>
      <memberdef id="cy__ble__stack__gap__peripheral_8h_1afb873576567d5583fa960fcf35504e97" kind="define" prot="public" static="no">
        <name>CY_BLE_GAPP_SCAN_ANY_CONN_WHITELIST</name>
        <initializer>0x02u</initializer>
        <briefdescription>
<para>scan any, connect only from white list </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_gap_peripheral.h" bodystart="48" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_gap_peripheral.h" line="48" />
      </memberdef>
      <memberdef id="cy__ble__stack__gap__peripheral_8h_1a8705c60f132c08f2e9fd027ce9b7ee08" kind="define" prot="public" static="no">
        <name>CY_BLE_GAPP_SCAN_CONN_WHITELIST_ONLY</name>
        <initializer>0x03u</initializer>
        <briefdescription>
<para>scan and connect only from white list </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_gap_peripheral.h" bodystart="49" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_gap_peripheral.h" line="49" />
      </memberdef>
      </sectiondef>
      <sectiondef kind="enum">
      <memberdef id="group__group__ble__common__api__gap__definitions_1ga7c910750c22e1a6fe20b0f7a712c0215" kind="enum" prot="public" static="no">
        <name>cy_en_ble_gapp_adv_t</name>
        <enumvalue id="group__group__ble__common__api__gap__definitions_1gga7c910750c22e1a6fe20b0f7a712c0215a2ca5c070ba0c694c39bc1d2ffdd6728d" prot="public">
          <name>CY_BLE_GAPP_CONNECTABLE_UNDIRECTED_ADV</name>
          <initializer>= 0x00u</initializer>
          <briefdescription>
<para>Connectable undirected advertising. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__ble__common__api__gap__definitions_1gga7c910750c22e1a6fe20b0f7a712c0215a9b647e8d7ad353ce59694eaec36e3150" prot="public">
          <name>CY_BLE_GAPP_CONNECTABLE_HIGH_DC_DIRECTED_ADV</name>
          <briefdescription>
<para>Connectable high duty cycle directed advertising. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__ble__common__api__gap__definitions_1gga7c910750c22e1a6fe20b0f7a712c0215a8accac0dca9cdf2affcbc813319dd74e" prot="public">
          <name>CY_BLE_GAPP_SCANNABLE_UNDIRECTED_ADV</name>
          <briefdescription>
<para>Scannable undirected advertising. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__ble__common__api__gap__definitions_1gga7c910750c22e1a6fe20b0f7a712c0215ad906afa151ee3f6cebd4aee8ec1e320a" prot="public">
          <name>CY_BLE_GAPP_NON_CONNECTABLE_UNDIRECTED_ADV</name>
          <briefdescription>
<para>Non connectable undirected advertising. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__ble__common__api__gap__definitions_1gga7c910750c22e1a6fe20b0f7a712c0215a7864a97421f3dab08701e37570172f08" prot="public">
          <name>CY_BLE_GAPP_CONNECTABLE_LOW_DC_DIRECTED_ADV</name>
          <briefdescription>
<para>Connectable low duty cycle directed advertising. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <briefdescription>
<para><bold>cy_en_ble_gapp_adv_t: </bold><linebreak />Advertisement type.</para></briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="78" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_gap_peripheral.h" bodystart="61" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_gap_peripheral.h" line="62" />
      </memberdef>
      </sectiondef>
      <sectiondef kind="func">
      <memberdef const="no" explicit="no" id="group__group__ble__common__api__gap__peripheral__functions_1gabb8ab6894ec553068f75d5f81a95aeda" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__group__ble__common__api__definitions_1ga63f6be7f53f5ad7d82c394e4cdfa619e">cy_en_ble_api_result_t</ref></type>
        <definition>cy_en_ble_api_result_t Cy_BLE_GAPP_UpdateAdvScanData</definition>
        <argsstring>(cy_stc_ble_gapp_disc_mode_info_t *param)</argsstring>
        <name>Cy_BLE_GAPP_UpdateAdvScanData</name>
        <param>
          <type><ref kindref="compound" refid="structcy__stc__ble__gapp__disc__mode__info__t">cy_stc_ble_gapp_disc_mode_info_t</ref> *</type>
          <declname>param</declname>
        </param>
        <briefdescription>
<para>This function is used by the GAP Peripheral application to set Advertisement and/or Scan Response data. </para>        </briefdescription>
        <detaileddescription>
<para>This function can be used during active advertisement as well. Application should ensure the validity of the data content. This is a non-blocking function.</para><para>On completion of this operation, GAP Peripheral application receives CY_BLE_EVT_GAPP_UPDATE_ADV_SCAN_DATA_COMPLETE event.</para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>param</parametername>
</parameternamelist>
<parameterdescription>
<para>Structure of type <ref kindref="compound" refid="structcy__stc__ble__gapp__disc__mode__info__t">cy_stc_ble_gapp_disc_mode_info_t</ref>, Only <ref kindref="member" refid="structcy__stc__ble__gapp__disc__mode__info__t_1a2e7f528f2b7a4b8a6480ce3509ea2fae">cy_stc_ble_gapp_disc_mode_info_t.advData</ref> and <ref kindref="member" refid="structcy__stc__ble__gapp__disc__mode__info__t_1a7400db0028173e3c0c5ff1ff8a786771">cy_stc_ble_gapp_disc_mode_info_t.scanRspData</ref> fields are used. Other fields in the structure are ignored.</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>cy_en_ble_api_result_t : Return value indicates whether the function succeeded or failed. Following are the possible error codes.</para></simplesect>
<verbatim>embed:rst 
.. raw:: html

  &lt;table class="docutils align-default"&gt;&lt;tr&gt;&lt;td class="head"&gt;&lt;p&gt;Errors codes &lt;/p&gt;&lt;/td&gt;&lt;td class="head"&gt;&lt;p&gt;Description  &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_BLE_SUCCESS &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;On successful operation. &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_BLE_ERROR_INVALID_PARAMETER &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;On specifying NULL for 'param' or if any of the elements of this structure is invalid. &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_BLE_ERROR_MEMORY_ALLOCATION_FAILED &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;Memory allocation failed. &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_BLE_ERROR_INSUFFICIENT_RESOURCES &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;BLE Stack resources are unavailable. &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;/table&gt;</verbatim></para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_gap_peripheral.h" line="330" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__ble__common__api__gap__peripheral__functions_1gafd058b11ddcf322f0389c51917465334" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__group__ble__common__api__definitions_1ga63f6be7f53f5ad7d82c394e4cdfa619e">cy_en_ble_api_result_t</ref></type>
        <definition>cy_en_ble_api_result_t Cy_BLE_GAPP_AuthReqReply</definition>
        <argsstring>(cy_stc_ble_gap_auth_info_t *param)</argsstring>
        <name>Cy_BLE_GAPP_AuthReqReply</name>
        <param>
          <type><ref kindref="compound" refid="structcy__stc__ble__gap__auth__info__t">cy_stc_ble_gap_auth_info_t</ref> *</type>
          <declname>param</declname>
        </param>
        <briefdescription>
<para>This function is used by the GAP Peripheral application to send Pairing Response in authentication/pairing procedure. </para>        </briefdescription>
        <detaileddescription>
<para>This function should be called after receiving CY_BLE_EVT_GAP_AUTH_REQ event.</para><para>If function call resulted in CY_BLE_SUCCESS, following events are expected to inform the application about the progress of the authentication procedure.</para><para><verbatim>embed:rst 
.. raw:: html

  &lt;table class="docutils align-default"&gt;&lt;tr&gt;&lt;td class="head"&gt;&lt;p&gt;Event Name &lt;/p&gt;&lt;/td&gt;&lt;td class="head"&gt;&lt;p&gt;Description  &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_BLE_EVT_GAP_SMP_NEGOTIATED_AUTH_INFO&lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;SMP has completed pairing properties (feature exchange) negotiation. &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_BLE_EVT_GAP_KEYINFO_EXCHNGE_CMPLT &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;SMP keys exchange with peer device is completed. &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_BLE_EVT_GAP_ENCRYPT_CHANGE &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;When there is a change in encryption after pairing procedure. &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;/table&gt;Based on IO capabilities and security modes, following events can be generated during authentication procedure. Refer Bluetooth Core spec 5.0 volume 3 part - H section 2.3.5.1 to know more about Selecting Key Generation Method.</verbatim></para><para><verbatim>embed:rst 
.. raw:: html

  &lt;table class="docutils align-default"&gt;&lt;tr&gt;&lt;td class="head"&gt;&lt;p&gt;Event Name  &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_BLE_EVT_GAP_PASSKEY_DISPLAY_REQUEST &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_BLE_EVT_GAP_KEYPRESS_NOTIFICATION &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_BLE_EVT_GAP_NUMERIC_COMPARISON_REQUEST &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;/table&gt;</verbatim></para><para>Based on the authentication procedure result, following events will be generated.</para><para><verbatim>embed:rst 
.. raw:: html

  &lt;table class="docutils align-default"&gt;&lt;tr&gt;&lt;td class="head"&gt;&lt;p&gt;Event Name &lt;/p&gt;&lt;/td&gt;&lt;td class="head"&gt;&lt;p&gt;Description  &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_BLE_EVT_GAP_AUTH_COMPLETE &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;Pointer to structure of type '&lt;a href="structcy__stc__ble__gap__auth__info__t.html#"&gt;cy_stc_ble_gap_auth_info_t&lt;/a&gt;' is returned as parameter to both the peer devices on successful authentication. &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_BLE_EVT_GAP_AUTH_FAILED &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;Received by both GAP Central and Peripheral devices (peers) on authentication failure. Data is of type 'cy_en_ble_gap_auth_failed_reason_t'. &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;/table&gt;</verbatim></para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>param</parametername>
</parameternamelist>
<parameterdescription>
<para>Pointer to a variable of type <ref kindref="compound" refid="structcy__stc__ble__gap__auth__info__t">cy_stc_ble_gap_auth_info_t</ref>. Param-&gt;security can take the value from enum cy_en_ble_gap_sec_level_t.</para></parameterdescription>
</parameteritem>
</parameterlist>
NOTE: If the param-&gt;bonding is set to CY_BLE_GAP_BONDING_NONE then, during authentication procedure, SMP keys will not be distributed even if the application has generated and set the keys explicitly.</para><para><simplesect kind="return"><para>cy_en_ble_api_result_t: Return value indicates whether the function succeeded or failed. Following are the possible error codes.</para></simplesect>
<verbatim>embed:rst 
.. raw:: html

  &lt;table class="docutils align-default"&gt;&lt;tr&gt;&lt;td class="head"&gt;&lt;p&gt;Errors codes &lt;/p&gt;&lt;/td&gt;&lt;td class="head"&gt;&lt;p&gt;Description  &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_BLE_SUCCESS &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;On successful operation. &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_BLE_ERROR_INVALID_PARAMETER &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;On specifying NULL for 'param' or if any of the elements of this structure is invalid. &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_BLE_ERROR_NO_DEVICE_ENTITY &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;Device identified using 'bdHandle' does not exist. &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_BLE_ERROR_INVALID_OPERATION &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;Operation is not permitted. &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_BLE_ERROR_INSUFFICIENT_RESOURCES &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;If application tries to initiate pairing with bonding enable, when the number of devices that can be bonded is exhausted. &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;/table&gt;</verbatim></para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_gap_peripheral.h" line="391" />
      </memberdef>
      </sectiondef>
    <briefdescription>
    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <programlisting>
<codeline lineno="1"><highlight class="comment">/*******************************************************************************</highlight></codeline>
<codeline lineno="2"><highlight class="comment">*<sp />\file<sp />cy_ble_stack_gap_peripheral.h</highlight></codeline>
<codeline lineno="3"><highlight class="comment">*<sp />\version<sp />3.50</highlight></codeline>
<codeline lineno="4"><highlight class="comment">*</highlight></codeline>
<codeline lineno="5"><highlight class="comment">*<sp />\brief</highlight></codeline>
<codeline lineno="6"><highlight class="comment">*<sp /><sp />This<sp />file<sp />contains<sp />declarations<sp />of<sp />public<sp />BLE<sp />APIs<sp />of<sp />Generic<sp />Access<sp />Profile.</highlight></codeline>
<codeline lineno="7"><highlight class="comment">*<sp /><sp />It<sp />also<sp />specifies<sp />the<sp />defines,<sp />constants,<sp />and<sp />data<sp />structures<sp />required<sp />for<sp />the<sp />APIs.</highlight></codeline>
<codeline lineno="8"><highlight class="comment">*</highlight></codeline>
<codeline lineno="9"><highlight class="comment">*</highlight></codeline>
<codeline lineno="10"><highlight class="comment">*<sp />Related<sp />Document:</highlight></codeline>
<codeline lineno="11"><highlight class="comment">*<sp /><sp />BLE<sp />Standard<sp />Spec<sp />-<sp />CoreV5.0,<sp />CSS,<sp />CSAs,<sp />ESR05,<sp />ESR06</highlight></codeline>
<codeline lineno="12"><highlight class="comment">*</highlight></codeline>
<codeline lineno="13"><highlight class="comment">********************************************************************************</highlight></codeline>
<codeline lineno="14"><highlight class="comment">*<sp />\copyright</highlight></codeline>
<codeline lineno="15"><highlight class="comment">*<sp />Copyright<sp />2017-2020,<sp />Cypress<sp />Semiconductor<sp />Corporation.<sp />All<sp />rights<sp />reserved.</highlight></codeline>
<codeline lineno="16"><highlight class="comment">*<sp />You<sp />may<sp />use<sp />this<sp />file<sp />only<sp />in<sp />accordance<sp />with<sp />the<sp />license,<sp />terms,<sp />conditions,</highlight></codeline>
<codeline lineno="17"><highlight class="comment">*<sp />disclaimers,<sp />and<sp />limitations<sp />in<sp />the<sp />end<sp />user<sp />license<sp />agreement<sp />accompanying</highlight></codeline>
<codeline lineno="18"><highlight class="comment">*<sp />the<sp />software<sp />package<sp />with<sp />which<sp />this<sp />file<sp />was<sp />provided.</highlight></codeline>
<codeline lineno="19"><highlight class="comment">*******************************************************************************/</highlight><highlight class="normal" /></codeline>
<codeline lineno="20"><highlight class="normal" /><highlight class="preprocessor">#ifndef<sp />CY_BLE_STACK_GAP_PERIPHERAL_H_</highlight><highlight class="normal" /></codeline>
<codeline lineno="21"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CY_BLE_STACK_GAP_PERIPHERAL_H_</highlight><highlight class="normal" /></codeline>
<codeline lineno="22"><highlight class="normal" /></codeline>
<codeline lineno="23"><highlight class="normal" /></codeline>
<codeline lineno="24"><highlight class="normal" /><highlight class="comment">/***************************************</highlight></codeline>
<codeline lineno="25"><highlight class="comment">*<sp />Common<sp />BLE<sp />Stack<sp />includes</highlight></codeline>
<codeline lineno="26"><highlight class="comment">***************************************/</highlight><highlight class="normal" /></codeline>
<codeline lineno="27"><highlight class="normal" /><highlight class="preprocessor">#include<sp />"cy_ble_stack_gap.h"</highlight><highlight class="normal" /></codeline>
<codeline lineno="28"><highlight class="normal" /></codeline>
<codeline lineno="29"><highlight class="normal" /><highlight class="comment">/*<sp />C<sp />binding<sp />of<sp />definitions<sp />if<sp />building<sp />with<sp />C++<sp />compiler<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="30"><highlight class="normal" /><highlight class="preprocessor">#ifdef<sp />__cplusplus</highlight><highlight class="normal" /></codeline>
<codeline lineno="31"><highlight class="normal" /><highlight class="keyword">extern</highlight><highlight class="normal"><sp /></highlight><highlight class="stringliteral">"C"</highlight><highlight class="normal"><sp />{</highlight></codeline>
<codeline lineno="32"><highlight class="normal" /><highlight class="preprocessor">#endif<sp /></highlight><highlight class="comment">/*<sp />__cplusplus<sp />*/</highlight><highlight class="preprocessor" /><highlight class="normal" /></codeline>
<codeline lineno="33"><highlight class="normal" /></codeline>
<codeline lineno="34"><highlight class="normal" /><highlight class="comment">/***************************************</highlight></codeline>
<codeline lineno="35"><highlight class="comment">**<sp />GAP<sp />Constants</highlight></codeline>
<codeline lineno="36"><highlight class="comment">***************************************/</highlight></codeline>
<codeline lineno="38"><highlight class="preprocessor">#define<sp />CY_BLE_GAPP_NONE_DISC_BROADCAST_MODE<sp /><sp /><sp /><sp /><sp />0x00u<sp /></highlight></codeline>
<codeline lineno="39"><highlight class="preprocessor">#define<sp />CY_BLE_GAPP_LTD_DISC_MODE<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />0x01u<sp /></highlight></codeline>
<codeline lineno="40"><highlight class="preprocessor">#define<sp />CY_BLE_GAPP_GEN_DISC_MODE<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />0x02u<sp /></highlight></codeline>
<codeline lineno="43"><highlight class="preprocessor">#define<sp />CY_BLE_GAPP_LTD_DISC_MODE_TIME_MAX<sp /><sp /><sp /><sp /><sp /><sp /><sp />180u</highlight><highlight class="normal" /></codeline>
<codeline lineno="44"><highlight class="normal" /></codeline>
<codeline lineno="46"><highlight class="preprocessor">#define<sp />CY_BLE_GAPP_SCAN_ANY_CONN_ANY<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />0x00u<sp /></highlight></codeline>
<codeline lineno="47"><highlight class="preprocessor">#define<sp />CY_BLE_GAPP_SCAN_WHITELIST_CONN_ANY<sp /><sp /><sp /><sp /><sp /><sp />0x01u<sp /></highlight></codeline>
<codeline lineno="48"><highlight class="preprocessor">#define<sp />CY_BLE_GAPP_SCAN_ANY_CONN_WHITELIST<sp /><sp /><sp /><sp /><sp /><sp />0x02u<sp /></highlight></codeline>
<codeline lineno="49"><highlight class="preprocessor">#define<sp />CY_BLE_GAPP_SCAN_CONN_WHITELIST_ONLY<sp /><sp /><sp /><sp /><sp />0x03u<sp /></highlight></codeline>
<codeline lineno="56"><highlight class="preprocessor" /><highlight class="comment">/***************************************</highlight></codeline>
<codeline lineno="57"><highlight class="comment">**<sp />Enumerated<sp />Types</highlight></codeline>
<codeline lineno="58"><highlight class="comment">***************************************/</highlight><highlight class="preprocessor" /><highlight class="normal" /></codeline>
<codeline lineno="59"><highlight class="normal" /></codeline>
<codeline lineno="61"><highlight class="keyword">typedef</highlight><highlight class="normal"><sp /></highlight><highlight class="keyword">enum</highlight><highlight class="normal" /></codeline>
<codeline lineno="62"><highlight class="normal">{</highlight></codeline>
<codeline lineno="64"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__ble__common__api__gap__definitions_1gga7c910750c22e1a6fe20b0f7a712c0215a2ca5c070ba0c694c39bc1d2ffdd6728d">CY_BLE_GAPP_CONNECTABLE_UNDIRECTED_ADV</ref><sp />=<sp />0x00u,</highlight></codeline>
<codeline lineno="65"><highlight class="normal" /></codeline>
<codeline lineno="67"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__ble__common__api__gap__definitions_1gga7c910750c22e1a6fe20b0f7a712c0215a9b647e8d7ad353ce59694eaec36e3150">CY_BLE_GAPP_CONNECTABLE_HIGH_DC_DIRECTED_ADV</ref>,</highlight></codeline>
<codeline lineno="68"><highlight class="normal" /></codeline>
<codeline lineno="70"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__ble__common__api__gap__definitions_1gga7c910750c22e1a6fe20b0f7a712c0215a8accac0dca9cdf2affcbc813319dd74e">CY_BLE_GAPP_SCANNABLE_UNDIRECTED_ADV</ref>,</highlight></codeline>
<codeline lineno="71"><highlight class="normal" /></codeline>
<codeline lineno="73"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__ble__common__api__gap__definitions_1gga7c910750c22e1a6fe20b0f7a712c0215ad906afa151ee3f6cebd4aee8ec1e320a">CY_BLE_GAPP_NON_CONNECTABLE_UNDIRECTED_ADV</ref>,</highlight></codeline>
<codeline lineno="74"><highlight class="normal" /></codeline>
<codeline lineno="76"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__ble__common__api__gap__definitions_1gga7c910750c22e1a6fe20b0f7a712c0215a7864a97421f3dab08701e37570172f08">CY_BLE_GAPP_CONNECTABLE_LOW_DC_DIRECTED_ADV</ref></highlight></codeline>
<codeline lineno="77"><highlight class="normal" /></codeline>
<codeline lineno="78"><highlight class="normal">}<ref kindref="member" refid="group__group__ble__common__api__gap__definitions_1ga7c910750c22e1a6fe20b0f7a712c0215">cy_en_ble_gapp_adv_t</ref>;</highlight></codeline>
<codeline lineno="79"><highlight class="normal" /></codeline>
<codeline lineno="80"><highlight class="normal" /></codeline>
<codeline lineno="81"><highlight class="normal" /><highlight class="comment">/***************************************</highlight></codeline>
<codeline lineno="82"><highlight class="comment">**<sp />Exported<sp />structures<sp />and<sp />unions</highlight></codeline>
<codeline lineno="83"><highlight class="comment">***************************************/</highlight><highlight class="normal" /></codeline>
<codeline lineno="84"><highlight class="normal" /></codeline>
<codeline lineno="86" refid="structcy__stc__ble__gapp__disc__param__t" refkind="compound"><highlight class="keyword">typedef</highlight><highlight class="normal"><sp /></highlight><highlight class="keyword">struct</highlight><highlight class="normal" /></codeline>
<codeline lineno="87"><highlight class="normal">{</highlight></codeline>
<codeline lineno="94"><highlight class="normal"><sp /><sp /><sp /><sp />uint16_t<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />advIntvMin;</highlight></codeline>
<codeline lineno="95"><highlight class="normal" /></codeline>
<codeline lineno="102"><highlight class="normal"><sp /><sp /><sp /><sp />uint16_t<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />advIntvMax;</highlight></codeline>
<codeline lineno="103"><highlight class="normal" /></codeline>
<codeline lineno="111"><highlight class="normal"><sp /><sp /><sp /><sp />cy_en_ble_gapp_adv_t<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />advType;</highlight></codeline>
<codeline lineno="112"><highlight class="normal" /></codeline>
<codeline lineno="119"><highlight class="normal"><sp /><sp /><sp /><sp />uint8_t<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />ownAddrType;</highlight></codeline>
<codeline lineno="120"><highlight class="normal" /></codeline>
<codeline lineno="126"><highlight class="normal"><sp /><sp /><sp /><sp />uint8_t<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />directAddrType;</highlight></codeline>
<codeline lineno="127"><highlight class="normal" /></codeline>
<codeline lineno="132"><highlight class="normal"><sp /><sp /><sp /><sp />uint8_t<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />directAddr[CY_BLE_GAP_BD_ADDR_SIZE];</highlight></codeline>
<codeline lineno="133"><highlight class="normal" /></codeline>
<codeline lineno="140"><highlight class="normal"><sp /><sp /><sp /><sp />uint8_t<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />advChannelMap;</highlight></codeline>
<codeline lineno="141"><highlight class="normal" /></codeline>
<codeline lineno="152"><highlight class="normal"><sp /><sp /><sp /><sp />uint8_t<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />advFilterPolicy;</highlight></codeline>
<codeline lineno="153"><highlight class="normal" /></codeline>
<codeline lineno="154"><highlight class="normal">}<ref kindref="compound" refid="structcy__stc__ble__gapp__disc__param__t">cy_stc_ble_gapp_disc_param_t</ref>;</highlight></codeline>
<codeline lineno="155"><highlight class="normal" /></codeline>
<codeline lineno="157" refid="structcy__stc__ble__gapp__disc__data__t" refkind="compound"><highlight class="keyword">typedef</highlight><highlight class="normal"><sp /></highlight><highlight class="keyword">struct</highlight><highlight class="normal" /></codeline>
<codeline lineno="158"><highlight class="normal">{</highlight></codeline>
<codeline lineno="160"><highlight class="normal"><sp /><sp /><sp /><sp />uint8_t<sp /><sp /><sp /><sp /><sp /><sp />advData[CY_BLE_GAP_MAX_ADV_DATA_LEN];</highlight></codeline>
<codeline lineno="161"><highlight class="normal" /></codeline>
<codeline lineno="163"><highlight class="normal"><sp /><sp /><sp /><sp />uint8_t<sp /><sp /><sp /><sp /><sp /><sp />advDataLen;</highlight></codeline>
<codeline lineno="164"><highlight class="normal" /></codeline>
<codeline lineno="165"><highlight class="normal">}<sp /><ref kindref="compound" refid="structcy__stc__ble__gapp__disc__data__t">cy_stc_ble_gapp_disc_data_t</ref>;</highlight></codeline>
<codeline lineno="166"><highlight class="normal" /></codeline>
<codeline lineno="168" refid="structcy__stc__ble__gapp__scan__rsp__data__t" refkind="compound"><highlight class="keyword">typedef</highlight><highlight class="normal"><sp /></highlight><highlight class="keyword">struct</highlight><highlight class="normal" /></codeline>
<codeline lineno="169"><highlight class="normal">{</highlight></codeline>
<codeline lineno="172"><highlight class="normal"><sp /><sp /><sp /><sp />uint8_t<sp /><sp /><sp /><sp /><sp />scanRspData[CY_BLE_GAP_MAX_SCAN_RSP_DATA_LEN];</highlight></codeline>
<codeline lineno="173"><highlight class="normal" /></codeline>
<codeline lineno="175"><highlight class="normal"><sp /><sp /><sp /><sp />uint8_t<sp /><sp /><sp /><sp /><sp />scanRspDataLen;</highlight></codeline>
<codeline lineno="176"><highlight class="normal" /></codeline>
<codeline lineno="177"><highlight class="normal">}<sp /><ref kindref="compound" refid="structcy__stc__ble__gapp__scan__rsp__data__t">cy_stc_ble_gapp_scan_rsp_data_t</ref>;</highlight></codeline>
<codeline lineno="178"><highlight class="normal" /></codeline>
<codeline lineno="180" refid="structcy__stc__ble__gapp__disc__mode__info__t" refkind="compound"><highlight class="keyword">typedef</highlight><highlight class="normal"><sp /></highlight><highlight class="keyword">struct</highlight><highlight class="normal" /></codeline>
<codeline lineno="181"><highlight class="normal">{</highlight></codeline>
<codeline lineno="188"><highlight class="normal"><sp /><sp /><sp /><sp />uint8_t<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />discMode;</highlight></codeline>
<codeline lineno="189"><highlight class="normal" /></codeline>
<codeline lineno="193"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="compound" refid="structcy__stc__ble__gapp__disc__param__t">cy_stc_ble_gapp_disc_param_t</ref><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />*<sp />advParam;</highlight></codeline>
<codeline lineno="195"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="compound" refid="structcy__stc__ble__gapp__disc__data__t">cy_stc_ble_gapp_disc_data_t</ref><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />*<sp />advData;</highlight></codeline>
<codeline lineno="197"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="compound" refid="structcy__stc__ble__gapp__scan__rsp__data__t">cy_stc_ble_gapp_scan_rsp_data_t</ref><sp /><sp /><sp /><sp /><sp /><sp />*<sp />scanRspData;</highlight></codeline>
<codeline lineno="198"><highlight class="normal" /></codeline>
<codeline lineno="207"><highlight class="normal"><sp /><sp /><sp /><sp />uint16_t<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />advTo;</highlight></codeline>
<codeline lineno="208"><highlight class="normal" /></codeline>
<codeline lineno="209"><highlight class="normal">}<sp /><ref kindref="compound" refid="structcy__stc__ble__gapp__disc__mode__info__t">cy_stc_ble_gapp_disc_mode_info_t</ref>;</highlight></codeline>
<codeline lineno="212"><highlight class="comment">/***************************************</highlight></codeline>
<codeline lineno="213"><highlight class="comment">**<sp />Exported<sp />APIs</highlight></codeline>
<codeline lineno="214"><highlight class="comment">***************************************/</highlight></codeline>
<codeline lineno="222"><highlight class="comment">/******************************************************************************</highlight></codeline>
<codeline lineno="223"><highlight class="comment">*<sp />Function<sp />Name:<sp />Cy_BLE_GAPP_EnterDiscoveryMode</highlight></codeline>
<codeline lineno="224"><highlight class="comment">***************************************************************************/</highlight></codeline>
<codeline lineno="262"><highlight class="normal"><ref kindref="member" refid="group__group__ble__common__api__definitions_1ga63f6be7f53f5ad7d82c394e4cdfa619e">cy_en_ble_api_result_t</ref><sp />Cy_BLE_GAPP_EnterDiscoveryMode</highlight></codeline>
<codeline lineno="263"><highlight class="normal">(</highlight></codeline>
<codeline lineno="264"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="compound" refid="structcy__stc__ble__gapp__disc__mode__info__t">cy_stc_ble_gapp_disc_mode_info_t</ref><sp /><sp />*<sp /><sp />param</highlight></codeline>
<codeline lineno="265"><highlight class="normal">);</highlight></codeline>
<codeline lineno="266"><highlight class="normal" /></codeline>
<codeline lineno="267"><highlight class="normal" /></codeline>
<codeline lineno="268"><highlight class="normal" /><highlight class="comment">/******************************************************************************</highlight></codeline>
<codeline lineno="269"><highlight class="comment">*<sp />Function<sp />Name:<sp />Cy_BLE_GAPP_ExitDiscoveryMode</highlight></codeline>
<codeline lineno="270"><highlight class="comment">***************************************************************************/</highlight></codeline>
<codeline lineno="294"><highlight class="normal"><ref kindref="member" refid="group__group__ble__common__api__definitions_1ga63f6be7f53f5ad7d82c394e4cdfa619e">cy_en_ble_api_result_t</ref><sp />Cy_BLE_GAPP_ExitDiscoveryMode</highlight></codeline>
<codeline lineno="295"><highlight class="normal">(</highlight></codeline>
<codeline lineno="296"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordtype">void</highlight><highlight class="normal" /></codeline>
<codeline lineno="297"><highlight class="normal">);</highlight></codeline>
<codeline lineno="298"><highlight class="normal" /></codeline>
<codeline lineno="301"><highlight class="comment">/******************************************************************************</highlight></codeline>
<codeline lineno="302"><highlight class="comment">*<sp />Function<sp />Name:<sp />Cy_BLE_GAPP_UpdateAdvScanData</highlight></codeline>
<codeline lineno="303"><highlight class="comment">***************************************************************************/</highlight></codeline>
<codeline lineno="330"><highlight class="normal"><ref kindref="member" refid="group__group__ble__common__api__definitions_1ga63f6be7f53f5ad7d82c394e4cdfa619e">cy_en_ble_api_result_t</ref><sp /><ref kindref="member" refid="group__group__ble__common__api__gap__peripheral__functions_1gabb8ab6894ec553068f75d5f81a95aeda">Cy_BLE_GAPP_UpdateAdvScanData</ref></highlight></codeline>
<codeline lineno="331"><highlight class="normal">(</highlight></codeline>
<codeline lineno="332"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="compound" refid="structcy__stc__ble__gapp__disc__mode__info__t">cy_stc_ble_gapp_disc_mode_info_t</ref><sp /><sp />*<sp /><sp />param</highlight></codeline>
<codeline lineno="333"><highlight class="normal">);</highlight></codeline>
<codeline lineno="334"><highlight class="normal" /></codeline>
<codeline lineno="335"><highlight class="normal" /></codeline>
<codeline lineno="336"><highlight class="normal" /><highlight class="comment">/******************************************************************************</highlight></codeline>
<codeline lineno="337"><highlight class="comment">*<sp />Function<sp />Name:<sp />Cy_BLE_GAPP_AuthReqReply</highlight></codeline>
<codeline lineno="338"><highlight class="comment">***************************************************************************/</highlight></codeline>
<codeline lineno="391"><highlight class="normal"><ref kindref="member" refid="group__group__ble__common__api__definitions_1ga63f6be7f53f5ad7d82c394e4cdfa619e">cy_en_ble_api_result_t</ref><sp /><ref kindref="member" refid="group__group__ble__common__api__gap__peripheral__functions_1gafd058b11ddcf322f0389c51917465334">Cy_BLE_GAPP_AuthReqReply</ref></highlight></codeline>
<codeline lineno="392"><highlight class="normal">(</highlight></codeline>
<codeline lineno="393"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="compound" refid="structcy__stc__ble__gap__auth__info__t">cy_stc_ble_gap_auth_info_t</ref><sp /><sp />*<sp />param</highlight></codeline>
<codeline lineno="394"><highlight class="normal">);</highlight></codeline>
<codeline lineno="395"><highlight class="normal" /></codeline>
<codeline lineno="396"><highlight class="normal" /><highlight class="preprocessor">#ifdef<sp />__cplusplus</highlight><highlight class="normal" /></codeline>
<codeline lineno="397"><highlight class="normal">}</highlight></codeline>
<codeline lineno="398"><highlight class="normal" /><highlight class="preprocessor">#endif<sp /></highlight><highlight class="comment">/*<sp />__cplusplus<sp />*/</highlight><highlight class="preprocessor" /><highlight class="normal" /></codeline>
<codeline lineno="399"><highlight class="normal" /></codeline>
<codeline lineno="402"><highlight class="preprocessor">#endif<sp /></highlight><highlight class="comment">/*<sp />CY_BLE_STACK_GAP_PERIPHERAL_H_<sp />*/</highlight><highlight class="preprocessor" /><highlight class="normal" /></codeline>
<codeline lineno="403"><highlight class="normal" /></codeline>
<codeline lineno="404"><highlight class="normal" /><highlight class="comment">/*EOF*/</highlight><highlight class="normal" /></codeline>
    </programlisting>
    <location file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_gap_peripheral.h" />
  </compounddef>
</doxygen>